Name: fonts-andagii-unicode
Version: 0.0
Release: 1
License: Copyleft
Source0: andagii.zip 
Source1: penuture.zip 
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Group: User Interface/X
Summary: Free Unicode Fonts for Osmanya, Ugaritic, Shavian and Linear B.
URL: http://www.i18nguy.com/unicode/unicode-font.html
Prereq: fontconfig 
 
%description
Mark Williamson has created a TrueType font for the Osmanya script
named Andagii. The font file also supports Ugaritic and Shavian.
Mark has created another font for the Linear B script named Penuturesu.
The Andagii and Penuturesu fonts are available without cost by download
under Copyleft licensing.

%prep
%setup -q -c
unzip %{SOURCE1}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/andagii-unicode
pwd
mv ANDAGII_.TTF andagii.ttf
mv PENUTURE.TTF penuture.ttf
cp *.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/andagii-unicode
# %%ghost the fonts.cache-1 file
touch $RPM_BUILD_ROOT%{_datadir}/fonts/andagii-unicode/fonts.cache-1

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi


%files
%defattr(-,root,root)
%dir %{_datadir}/fonts/andagii-unicode
%{_datadir}/fonts/andagii-unicode/*.ttf
%ghost %{_datadir}/fonts/andagii-unicode/fonts.cache-1

%changelog
* Tue Apr 16 2006 Petr Tomasek <tomasek@etf.cuni.cz>
- Initial package

